API · Manage · Operations
Create a bank transfer.
Initiate a BankTransfer from an entity's bank account over ACH, wire, or internal book-transfer. Captures source account, optional destination, amount in cents, and an optional memo; settlement is async and resolves via banking-provider webhooks. Idempotent on Idempotency-Key. Manage-phase; requires a tier-4 token because it moves real funds.
Last updated
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
from_account_idstringRequiredto_account_idstringOptionalamount_centsintegerRequiredrailstringRequiredOne of
"ach""wire""internal"memostringOptionalResponse Body
Request
curl -X POST "https://api.mattermode.com/v1/bank_transfers" \ -H "Content-Type: application/json" \ -d '{ "from_account_id": "string", "amount_cents": 1, "rail": "ach" }'const body = JSON.stringify({ "from_account_id": "string", "amount_cents": 1, "rail": "ach"})fetch("https://api.mattermode.com/v1/bank_transfers", { method: "POST", headers: { "Content-Type": "application/json" }, body})package mainimport ( "fmt" "net/http" "io/ioutil" "strings")func main() { url := "https://api.mattermode.com/v1/bank_transfers" body := strings.NewReader(`{ "from_account_id": "string", "amount_cents": 1, "rail": "ach" }`) req, _ := http.NewRequest("POST", url, body) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body))}import requestsheaders = { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b",}payload = { "from_account_id": "example", "amount_cents": 1, "rail": "ach"}resp = requests.post( "https://api.mattermode.com/v1/bank_transfers", headers=headers, json=payload,)resp.raise_for_status()print(resp.json())import java.net.URI;import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.http.HttpResponse.BodyHandlers;import java.time.Duration;import java.net.http.HttpRequest.BodyPublishers;var body = BodyPublishers.ofString("""{ "from_account_id": "string", "amount_cents": 1, "rail": "ach"}""");HttpClient client = HttpClient.newBuilder() .connectTimeout(Duration.ofSeconds(10)) .build();HttpRequest.Builder requestBuilder = HttpRequest.newBuilder() .uri(URI.create("https://api.mattermode.com/v1/bank_transfers")) .header("Content-Type", "application/json") .POST(body) .build();try { HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString()); System.out.println("Status code: " + response.statusCode()); System.out.println("Response body: " + response.body());} catch (Exception e) { e.printStackTrace();}using System;using System.Net.Http;using System.Text;var body = new StringContent("""{ "from_account_id": "string", "amount_cents": 1, "rail": "ach"}""", Encoding.UTF8, "application/json");var client = new HttpClient();var response = await client.PostAsync("https://api.mattermode.com/v1/bank_transfers", body);var responseBody = await response.Content.ReadAsStringAsync();curl --request POST 'https://api.mattermode.com/v1/bank_transfers' \ --header 'Authorization: Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc' \ --header 'Matter-Version: 2026-06-10' \ --header 'Idempotency-Key: ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b' \ --header 'Content-Type: application/json' \ --data '{ "from_account_id": "example", "amount_cents": 1, "rail": "ach"}'const response = await fetch("https://api.mattermode.com/v1/bank_transfers", { method: "POST", headers: { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b", "Content-Type": "application/json", }, body: JSON.stringify({ "from_account_id": "example", "amount_cents": 1, "rail": "ach" }),});if (!response.ok) { throw new Error(`Matter API ${response.status}: ${await response.text()}`);}const data = await response.json();console.log(data);Response
201Transfer initiated.
No example available.